Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	Amarok Now Playing Plugin for XChat
Name:		xchat-plugin-anp
Version:	0.2.6
Release:	1
License:	GNU/GPL V2
URL:		http://project-lsp.sourceforge.net/scripts.html
Group:		Networking/Chat
Source0:	anp-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	xchat
BuildRequires:	glibc-devel
BuildRequires:	xchat-devel
BuildRequires:	aspell
BuildRequires:	aspell-en
BuildRequires:	dbus-glib
BuildRequires:	enchant
BuildRequires:	libsexy
BuildRequires:	xcb-util

%description
The plugin will be automatically loaded when you start XChat.
If you are already running XChat, after copying the file
go to Window -> Plugins and Plugins... and click on Load...
in the window that pops up.
To use it, type /ANP in any XChat channel or query.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n anp-%{version}

%build
cd src
gcc -shared main.c -o anp.so
#strip anp.so

%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT%_libdir/xchat/plugins
install -m 644 src/anp.so $RPM_BUILD_ROOT%_libdir/xchat/plugins

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING README TODO doc/*.txt
%_libdir/xchat/plugins

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Oct 08 2008 Christian Wasem <wasem@ccux-linux.de> 0.2.6-1
- Version update
* Tue Apr 15 2008 Christian Wasem <wasem@ccux-linux.de> 0.2.4-1
- initial release
